---
title: Update webhook (REST)
slug: update-webhook-rest
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/webhooks/{webhookId}",
  "name": "Update existing webhook",
  "method": "PATCH",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{webhookId}",
        "type": "Number",
        "children": [],
        "description": "The id of the webhook you are trying to update"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n    \"data\": {\n        \"id\": \"42\",\n        \"type\": \"webhook\",\n        \"attributes\": {\n            \"name\": \"Testing Hook for Attendee Updates\",\n            \"enabled\": true,\n            \"request-url\": \"https://hooks.tester.com/hooks/catch/123456/abacustest/\",\n            \"request-method\": \"post\",\n            \"created-at\": \"2023-04-11T20:03:49.247Z\",\n            \"updated-at\": \"2023-04-11T20:03:49.247Z\",\n            \"webhookable-type\": \"Event\",\n            \"webhookable-id\": 0117,\n            \"trigger-item\": \"Attendee\",\n            \"trigger-action\": \"updated\"\n        }\n    }\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "cRAJpOUmTVUqZjfUl_-OZ",
        "code": "curl --location -g --request PATCH 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/webhooks' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'\\\n--data '{  \n       \"webhook\": {   \n             \"name\": \"{{webhook_name}\",    \n             \"trigger_item\": \"{{trigger_name}}}\",    \n             \"trigger_action\": \"{{trigger_action}}\",    \n             \"request_url\": \"{{target_url_to_send_payload}}\",       \n             \"request_method\": \"post\"  \n                  }\n        }\n\n\n\n\n\n\n\n\n\n\n\n\n\n'\n\n\n\n\n\n\n\n\n\n\n\n\n\n'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "cRAJpOUmTVUqZjfUl_-OZ"
  },
  "description": "Update an existing webhook in an event",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "update-existing-webhook",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

**REQUEST BODY**

:::BlockQuote
\{ &#x20;
&#x20;   "webhook": \{  &#x20;
&#x20;      "name": "\{\{webhook\_name}",   &#x20;
&#x20;      "trigger\_item": "\{\{trigger\_name}}}",   &#x20;
&#x20;      "trigger\_action": "\{\{trigger\_action}}",   &#x20;
&#x20;      "request\_url": "\{\{target\_url\_to\_send\_payload}}",      &#x20;
&#x20;      "request\_method": "post" &#x20;
}
}
:::

**Required attributes:**

- `name` String / a webhook name to help you identify the webhook (also visible in webhook logs)
- `trigger_item` String / the entity that triggers the webhook; see notes for supported values
- `trigger_action` String / the action that triggers the webhook; see notes for supported values
- `request_url` String / the URL to which Brella will POST the webhook payload
- `request_method` String / always leave as "post"

**Notes:**

**01:&#x20;**&#x53;upported `trigger_item` values:

- "Speaker"
- "Sponsors\::Sponsor"&#x20;
- "Event\::Invite"&#x20;
- "Event\::Ticket"&#x20;
- "Attendee"
- "Event\::TicketPurchase"

**02:&#x20;**&#x53;upported `trigger_action` values:

- created
- updated
- deleted

